Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class BorderUIResource.BevelBorderUIResource

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.BevelBorder
                  |
                  +--javax.swing.plaf.BorderUIResource.BevelBorderUIResource

public static class BorderUIResource.BevelBorderUIResource
extends BevelBorder
implements UIResource

See Also:
  Serialized Form

Fields inherited from class javax.swing.border.BevelBorder
`bevelType, highlightInner, highlightOuter, LOWERED, RAISED, shadowInner, shadowOuter`

Constructor Summary
`BorderUIResource.BevelBorderUIResource(int bevelType)`
`BorderUIResource.BevelBorderUIResource(int bevelType, java.awt.Color highlight, java.awt.Color shadow)`
`BorderUIResource.BevelBorderUIResource(int bevelType, java.awt.Color highlightOuter, java.awt.Color highlightInner, java.awt.Color shadowOuter, java.awt.Color shadowInner)`

Methods inherited from class javax.swing.border.BevelBorder
`getBevelType, getBorderInsets, getBorderInsets, getHighlightInnerColor, getHighlightOuterColor, getShadowInnerColor, getShadowOuterColor, isBorderOpaque, paintBorder, paintLoweredBevel, paintRaisedBevel`

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderUIResource.BevelBorderUIResource

    public BorderUIResource.BevelBorderUIResource(int bevelType)

### BorderUIResource.BevelBorderUIResource

    public BorderUIResource.BevelBorderUIResource(int bevelType,
                                                  java.awt.Color highlight,
                                                  java.awt.Color shadow)

### BorderUIResource.BevelBorderUIResource

    public BorderUIResource.BevelBorderUIResource(int bevelType,
                                                  java.awt.Color highlightOuter,
                                                  java.awt.Color highlightInner,
                                                  java.awt.Color shadowOuter,
                                                  java.awt.Color shadowInner)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.